Bug 374518 - Search suggestions for webshortcuts show up in all kinds of runners
Summary: Search suggestions for webshortcuts show up in all kinds of runners
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Plasma
Component: general (show other bugs)
Version: 5.8.5
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Alexander Lohnau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-04 00:12 UTC by Lukas Ba.
Modified: 2020-07-13 13:35 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.20


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Ba. 2017-01-04 00:12:07 UTC
We can run krunner searching only trough a single runner, for example we can search for bookmarks:

qdbus-qt5 org.kde.krunner /App displaySingleRunner bookmark

When entering any text into this bookmark-SingleRunner that happens to be the beginning of a webshortcut such as
> gg

A suggestion for the google webshortcut shows up
> gg: 1234

When pressing enter nothing happens, since there is no bookmark called "gg: 1234", and we are in the bookmark-SingleRunner, which doesn't know how to handle webshortcuts.

Suggestions for webshortcuts should not show up in a SingleRunner that is not the webshortcut-SingleRunner.

The only SingleRunner where the suggestions should be shown is this one:

qdbus-qt5 org.kde.krunner /App displaySingleRunner webshortcuts
Comment 1 Alexander Lohnau 2020-06-27 19:43:35 UTC
Well the runner is called bookmarks, that might have been the issue.


But currently the single runner mode is broken and we get results from all plugins.